Summary: C library for reading, creating, and modifying zip archives
Name:    libzip
Version: 1.10.0
Release: 2%{?dist}
License: BSD
URL:     https://libzip.org/
Source0: https://libzip.org/download/libzip-%{version}.tar.xz

BuildRequires:  gcc cmake >= 3.0.2 perl-interpreter
BuildRequires:  zlib-devel bzip2-devel openssl-devel
BuildRequires:  xz-devel libzstd-devel
BuildRequires:  perl(Cwd) perl(File::Copy) perl(File::Path)
BuildRequires:  perl(Getopt::Long) perl(File::Path) perl(Storable)
BuildRequires:  perl(Symbol) perl(UNIVERSAL) perl(strict) perl(warnings)

%description
libzip is a C library for reading, creating, and modifying zip archives.
Files can be added from data buffers, files, or compressed data copied
directly from other zip archives. Changes made without closing the archive
can be reverted. The API is documented by man pages.

%package devel
Summary:  Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
This package provides libraries and header files for developing applications
that use %{name}.


%package tools
Summary:  Command line tools from %{name}
Requires: %{name} = %{version}-%{release}

%description tools
This package provides command line tools split off %{name}.



%prep
%autosetup

rm INSTALL.md

sed -e '/clone-fs-/d' \
    -i regress/CMakeLists.txt


%build
%cmake \
  -DENABLE_COMMONCRYPTO:BOOL=OFF \
  -DENABLE_GNUTLS:BOOL=OFF \
  -DENABLE_MBEDTLS:BOOL=OFF \
  -DENABLE_OPENSSL:BOOL=ON \
  -DENABLE_WINDOWS_CRYPTO:BOOL=OFF \
  -DENABLE_BZIP2:BOOL=ON \
  -DENABLE_LZMA:BOOL=ON \
  -DENABLE_ZSTD:BOOL=ON \
  -DBUILD_TOOLS:BOOL=ON \
  -DBUILD_REGRESS:BOOL=ON \
  -DBUILD_EXAMPLES:BOOL=OFF \
  -DBUILD_DOC:BOOL=ON

%cmake_build


%install
%cmake_install


%check
%ctest


%files
%license LICENSE
%{_libdir}/libzip.so.5*

%files tools
%{_bindir}/zipcmp
%{_bindir}/zipmerge
%{_bindir}/ziptool
%{_mandir}/man1/zip*

%files devel
%doc AUTHORS THANKS *.md
%{_includedir}/zip.h
%{_includedir}/zipconf*.h
%{_libdir}/libzip.so
%{_libdir}/pkgconfig/libzip.pc
%{_libdir}/cmake/libzip
%{_mandir}/man3/libzip*
%{_mandir}/man3/zip*
%{_mandir}/man3/ZIP*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 kianli <kianli@tencent.com> - 1.10.0-1
- Upgrade to 1.10.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-2
- Rebuilt for OpenCloudOS Stream 23

* Sat Nov 26 2022 cunshunxia <cunshunxia@tencent.com> - 1.8.0-1
- initial build
